Bug 1841013 - TestBoundTokenSignerController tests is unstable causing e2e-aws-operator to fail frequently
Summary: TestBoundTokenSignerController tests is unstable causing e2e-aws-operator to ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.0
Assignee: Lukasz Szaszkiewicz
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1845117
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-28 07:01 UTC by Lukasz Szaszkiewicz
Modified: 2020-10-27 16:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1845117 (view as bug list)
Environment:
Last Closed: 2020-10-27 16:01:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 868 0 None closed Bug 1841013: TestBoundTokenSignerController tests is unstable causing e2e-aws-operator to fail frequently 2020-10-15 06:02:28 UTC
Github openshift cluster-kube-apiserver-operator pull 877 0 None closed Bug 1841013: TestBoundTokenSignerController tests is unstable causing e2e-aws-operator to fail frequently 2020-10-15 06:02:28 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:02:19 UTC

Comment 5 Ke Wang 2020-06-11 08:13:52 UTC
First, confirm if the bug related PRs has been merged in latest OCP build 4.5.0-0.nightly-2020-06-10-224736,

$ oc adm release info registry.svc.ci.openshift.org/ocp/release:4.5.0-0.nightly-2020-06-10-224736 --commits | grep -i kube-apiserver
  cluster-kube-apiserver-operator     https://github.com/openshift/cluster-kube-apiserver-operator  997124bee1fd55a95fd71aadbfc52add0aef0a04

$ git log --date local --pretty="%h %an %cd - %s" 997124b | grep '#868'
55592b9f OpenShift Merge Robot Sat May 30 00:10:28 2020 - Merge pull request #868 from p0lyn0mial/bound-tokens-tests

$ git log --date local --pretty="%h %an %cd - %s" 997124b | grep '#877'
997124be OpenShift Merge Robot Wed Jun 10 10:48:07 2020 - Merge pull request #877 from openshift-cherrypick-robot/cherry-pick-870-to-release-4.5

We can see they already have been merged.

Checking latest job results: https://deck-ci.apps.ci.l2s4.p1.openshiftapps.com/job-history/gs/origin-ci-test/pr-logs/directory/pull-ci-openshift-cluster-kube-apiserver-operator-master-e2e-aws-operator?buildId=

We can found the most successful jobs were passed after June 10th, this is exactly the time to merged the PR '#877'. That is to say, the fix worked. So move the bug verified.

Comment 7 errata-xmlrpc 2020-10-27 16:01:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.